# org.pdfclown.documents.contents.objects.Text Class Reference

Text object [PDF:1.6:5.3]. More...

Inheritance diagram for org.pdfclown.documents.contents.objects.Text:

List of all members.

## Public Member Functions
override void | Scan (ContentScanner.GraphicsState state)
| Applies this object to the specified graphics context, updating the specified graphics state.
| Text (IList< ContentObject > objects)
| Text ()
override string | ToString ()
override void | WriteTo (IOutputStream stream, Document context)
| Serializes this object to the specified stream.
## Static Public Attributes
static readonly string | BeginOperatorKeyword = BeginText.OperatorKeyword
static readonly string | EndOperatorKeyword = EndText.OperatorKeyword
## Protected Member Functions
virtual GraphicsPath | CreateRenderObject ()
| Creates the rendering object corresponding to this container.
bool | Render (ContentScanner.GraphicsState state)
| Renders this container.
## Protected Attributes
IList< ContentObject > | objects
## Properties
virtual Operation | Header`[get, set]`
| Gets/Sets the object header.
IList< ContentObject > | Objects`[get]`
| Gets the list of inner objects.

##

Text object [PDF:1.6:5.3].

## Constructor & Destructor Documentation

org.pdfclown.documents.contents.objects.Text.Text | ( |  | ) |

org.pdfclown.documents.contents.objects.Text.Text | ( | IList< ContentObject > | objects | ) |

## Member Function Documentation

virtual GraphicsPath org.pdfclown.documents.contents.objects.CompositeObject.CreateRenderObject | ( |  | ) | `[protected, virtual, inherited]`

Creates the rendering object corresponding to this container.

Reimplemented in org.pdfclown.documents.contents.objects.Path.

bool org.pdfclown.documents.contents.objects.CompositeObject.Render | ( | ContentScanner.GraphicsState | state | ) | `[protected, inherited]`

Renders this container.

Parameters:

  | state | Graphics state.

Returns:
  Whether the rendering has been executed.

References org.pdfclown.documents.contents.ContentScanner.CanvasSize, org.pdfclown.documents.contents.ContentScanner.ChildLevel, org.pdfclown.documents.contents.ContentScanner.Render(), and org.pdfclown.documents.contents.ContentScanner.RenderContext.

override void org.pdfclown.documents.contents.objects.CompositeObject.Scan | ( | ContentScanner.GraphicsState | state | ) | `[virtual, inherited]`

Applies this object to the specified graphics context, updating the specified graphics state.

Parameters:

  | state | Graphics state.

Reimplemented from org.pdfclown.documents.contents.objects.ContentObject.

Reimplemented in org.pdfclown.documents.contents.objects.LocalGraphicsState.

References org.pdfclown.documents.contents.ContentScanner.MoveEnd(), and org.pdfclown.documents.contents.ContentScanner.State.

override string org.pdfclown.documents.contents.objects.CompositeObject.ToString | ( |  | ) | `[inherited]`

override void org.pdfclown.documents.contents.objects.Text.WriteTo | ( | IOutputStream | stream,
|  | Document | context |
| ) |  |  | `[virtual]`

Serializes this object to the specified stream.

Parameters:

  | stream | Target stream.
  | context | Document context.

Reimplemented from org.pdfclown.documents.contents.objects.CompositeObject.

References org.pdfclown.bytes.IOutputStream.Write().

## Member Data Documentation

readonly string org.pdfclown.documents.contents.objects.Text.BeginOperatorKeyword = BeginText.OperatorKeyword`[static]`

readonly string org.pdfclown.documents.contents.objects.Text.EndOperatorKeyword = EndText.OperatorKeyword`[static]`

IList<ContentObject> org.pdfclown.documents.contents.objects.CompositeObject.objects`[protected, inherited]`

## Property Documentation

virtual Operation org.pdfclown.documents.contents.objects.CompositeObject.Header`[get, set, inherited]`

Gets/Sets the object header.

Reimplemented in org.pdfclown.documents.contents.objects.InlineImage, and org.pdfclown.documents.contents.objects.MarkedContent.

IList<ContentObject> org.pdfclown.documents.contents.objects.CompositeObject.Objects`[get, inherited]`

Gets the list of inner objects.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.